function get_field_info,filename
num_grid = EOS_GD_INQGRID(filename,gridlist)
grids = strsplit(gridlist,',',/EXTRACT)
fid = EOS_GD_OPEN(filename,/READ)
total_fields = 0
for i=0,num_grid-1 do begin
  gid = EOS_GD_ATTACH(fid,grids[i])
  num_fields = EOS_GD_INQFIELDS(gid,fieldlist,rank,numtype)
  total_fields = total_fields + num_fields
endfor
field_info_struc = {gridname:'',fieldname:'',dimlist:''}
field_info = REPLICATE(field_info_struc,total_fields)

field_num = -1
for i=0,num_grid-1 do begin
  gid = EOS_GD_ATTACH(fid,grids[i])
  num_fields = EOS_GD_INQFIELDS(gid,fieldlist,rank,numtype)
  fieldnames = strsplit(fieldlist,',',/EXTRACT)
  for j=0,num_fields-1 do begin
    status = EOS_GD_FIELDINFO(gid, fieldnames[j], rank, dims, $
             numbertype, dimlist)

    field_num++
    field_info[field_num].gridname=grids[i]
    field_info[field_num].fieldname=fieldnames[j]
    field_info[field_num].dimlist=dimlist
  endfor

  status = EOS_GD_DETACH(gid)
endfor

status = EOS_GD_CLOSE(fid)

return,field_info

end